#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# OpenMCA - An Open Source Multichannel Analyzer for Python.
#
# Copyright (c) 2016 Annulus Team <support@annulus.io>
#
# OpenMCA is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License (v3.0)as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU General Public License (v3.0) for more
# details.
#
# You should have received a copy of the GNU General Public License (v3.0)
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#

"""Allow user to run OpenMCA as a module from a dir or zip file."""

# Execute with:
# $ python -m OpenMCA

import sys

if __package__ is None and not hasattr(sys, "frozen"):
    # It is a direct call to __main__.py
    import os.path
    path = os.path.realpath(os.path.abspath(__file__))
    sys.path.insert(0, os.path.dirname(os.path.dirname(path)))

import openmca  # noqa

if __name__ == '__main__':
    openmca.main()
